@echo off
@rem Launches service pack install program
@rem Note:  If run from a Command Prompt, cd (Change Directory) to the install image directory
@rem prior to calling this .bat file
@rem
@rem The parameters are not needed for a non-silent install
@rem
@rem If recording a silent service pack install, launch setupsp.bat 
@rem    specifying the following parameters:
@rem    Parameter 1 --    "-r"
@rem    Parameter 2 --    "-f1c:\ca400\sltsp.iss"  where 
@rem            c:\ca400\sltsp.iss is an example pathname of the .iss response file to record
@rem Example:
@rem   setupsp.bat -r -f1c:\ca400\sltsp.iss
@rem
@rem If installing a service pack silently, launch this .bat file
@rem    specifying the following parameters:
@rem    Parameter 1 --    "-s"
@rem    Parameter 2 --    "-f1c:\ca400\sltsp.iss"  where 
@rem            c:\ca400\sltsp.iss is an example pathname of a recorded .iss response file
@rem    Parameter 3 --    "-f2c:\ca400\sltsp.log"  where 
@rem            c:\ca400\sltsp.log is an example pathname of the generated silent log
@rem Example: 
@rem   setupsp.bat -s -f1\\as400name\QIBM\ProdData\Access\Windows\Install\Image\sltsp.iss -f2c:\ca400\sltsp.log
@rem
@rem
@rem When setupsp.bat is run, setup.exe is passed the same parameters
@rem that were passed to setupsp.bat and launches the
@rem setupsp.ins service pack install processing file.
setup -fsetupsp.ins %1 %2 %3 
